This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 461859 - Issues with dropins and fragments (eclipse-changelog missing Requires on eclipse-cdt)
Issues with dropins and fragments (eclipse-changelog missing Requires on ecli...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 19:28 EDT by Jesse Keating
Modified: 2013-01-09 22:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:22:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
script to get some information (487 bytes, application/x-sh)
2008-09-11 15:22 EDT, Andrew Overholt
no flags Details
Output from script (1.50 KB, application/x-bzip)
2008-09-16 17:53 EDT, Jesse Keating
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 251167 None None None Never

  None (edit)
Description Jesse Keating 2008-09-10 19:28:44 EDT
There is a BuildRequires on eclipse-cdt, but no Requires, and it doesn't seem that rpm picks up any automatic requires.  This will cause cdt loading to fail, and any subsequent module.
Comment 1 Andrew Overholt 2008-09-11 09:32:07 EDT
Did the CDT actually not load for you?  The way this is set up with fragments, it should work.
Comment 2 Jesse Keating 2008-09-11 11:07:50 EDT
There was a ton of errors in the log, and it seemed to prevent pydev from loading.  Until I installed cdt I got no pydev.
Comment 3 Andrew Overholt 2008-09-11 11:21:16 EDT
I'll take a look when I get back from vacation.  Something appears to be going wrong with p2's dropins reconciler and fragments.

Jesse:  please attach <workspace>/.metadata/.log (or run with -consolelog and copy the output)
Comment 4 Jesse Keating 2008-09-11 13:38:09 EDT
!SESSION 2008-09-10 14:28:19.171 -----------------------------------------------
eclipse.buildId=I20080617-2000
java.version=1.6.0_0
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.460
!MESSAGE Problems resolving provisioning plan.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.linuxtools.changelog.cparser 2.6.1 to requiredCapability: osgi.bundle/org.eclipse.cdt.core/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.linuxtools.changelog.cparser 2.6.1 to requiredCapability: osgi.bundle/org.eclipse.cdt.ui/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.trac.core 3.0.1.v20080716-2300-e3x to requiredCapability: java.package/org.apache.xmlrpc.common/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.trac.core 3.0.1.v20080716-2300-e3x to requiredCapability: java.package/org.apache.xmlrpc.util/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.apache.xmlrpc 3.0.0.qualifier to requiredCapability: java.package/javax.xml.bind/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.trac_feature.feature.group 3.0.1.v20080716-2300-e3x to requiredCapability: org.eclipse.equinox.p2.iu/org.apache.xmlrpc/[3.0.0.v20080716-2300-e3x,3.0.0.v20080716-2300-e3x].
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-09-10 14:28:23.461
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.trac_feature.feature.group 3.0.1.v20080716-2300-e3x to requiredCapability: org.eclipse.equinox.p2.iu/org.apache.ws.commons.util/[1.0.0.v20080716-2300-e3x,1.0.0.v20080716-2300-e3x].

!ENTRY org.eclipse.equinox.p2.engine 4 4 2008-09-10 14:28:25.845
!MESSAGE An error occurred while collecting items to be installed
!SUBENTRY 1 org.eclipse.equinox.p2.engine 4 0 2008-09-10 14:28:25.845
!MESSAGE No artifact repository available.
Comment 5 Andrew Overholt 2008-09-11 15:22:14 EDT
Created attachment 316474 [details]
script to get some information

Can you please run the attached script and then attach the resulting /tmp/bug461859-deps.tar.bz2 ?
Comment 6 Jesse Keating 2008-09-16 17:53:33 EDT
Created attachment 316909 [details]
Output from script

Attached.
Comment 7 Andrew Overholt 2008-10-16 11:21:15 EDT
Sorry I never looked at your attachment, Jesse.  I was on vacation by the time you had sent it and have been scrambling on a few other issues since.  Alex is looking into this issue and it looks like there's a problem with eclipse-changelog's dependencies at an Eclipse level.
Comment 8 Alexander Kurtakov 2008-10-16 11:48:37 EDT
Current state: org.eclipse.linuxtools.changelog.cparser has a strict require on 
org.eclipse.cdt.ui and org.eclipse.cdt.core which seems to prevent other plugins to be resolved. This also makes changelog plugin to not be able to install with p2 ui.
Making the requirements optional makes them installable with p2 ui, which should solve the problem.
Comment 9 Andrew Overholt 2008-10-16 20:35:17 EDT
I think I have tracked at least part of this down.  I have filed a bug upstream:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=251167
Comment 10 Bug Zapper 2008-11-25 22:01:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Sean Flanigan 2009-02-17 02:06:30 EST
There have been similar problems with langpack fragments.  Some of the information might be helpful: https://bugs.eclipse.org/bugs/show_bug.cgi?id=256430
Comment 12 Bug Zapper 2009-11-18 03:22:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:22:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.